import ToggleItem from "./ToggleItem";
import { GenData } from "../../sections/Accordation";
import { useEffect, useRef } from "react";

export interface ItemsProps {
    heading: string;
    content: string;
    isOpen: boolean;
    handleClick?: (value: GenData) => void;
}
const Items: React.FC<ItemsProps> = ({ heading, content, isOpen, handleClick }) => {
    const contentRef = useRef<HTMLParagraphElement>(null);

    useEffect(() => {
        const contentHeight = contentRef.current?.scrollHeight;
        contentRef.current.style.maxHeight = !isOpen ? '0px' : `${contentHeight}px`;
    }, [isOpen])
    const handleOpen = () => {
        handleClick({
            heading,
            content,
            isOpen
        })
        toggleHeight()
    }
    return (<>
        <div className="my-2">
            <div className="flex gap-4 items-center justify-between md:cursor-pointer" onClick={handleOpen}>
                <h2 className=" capitalize  text-[15px] tracking-wide text-left">
                    {heading}
                </h2>
                <ToggleItem isopen={isOpen} className=" hidden sm:block" />
            </div>
            <div>
                <p ref={contentRef} className={`text-[15px] font-[300] my-2 capitalize leading-[25px]
             font-Dinpro-md text-[#6a6a6a] tracking-wide overflow-hidden transition-max-height duration-300 ${isOpen ? "" : "max-h-0"} md:font-[200]`}>
                    {content}
                </p>
            </div>
            <div className="flex flex-row items-center gap-2 cursor-pointer md:cursor-none" onClick={handleOpen}>
                <hr className=" sacle-y-150 flex-1 w-auto" />
                <ToggleItem isopen={isOpen} className="block sm:hidden cursor-pointer mb-1" />
            </div>

        </div>

    </>);
}

export default Items;